#define STRICT
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <conio.h>

long FAR PASCAL WindowProc( HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam )
{
    switch( message )
    {
        case WM_CREATE:
            SetTimer(hWnd, 1, 100, NULL);
            break;

        case WM_DESTROY:
            KillTimer(hWnd, 1);
            PostQuitMessage( 0 );
            break;

        case WM_TIMER:
            outp(0x3C2, inp(0x3CC) | 0xC0);
            break;
    };
    return DefWindowProc(hWnd, message, wParam, lParam);
}

int WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR cmdLine, int cmdShow)
{
    WNDCLASS            wc;
    MSG msg;

    /*
     * set up and register window class
     */
    wc.style = CS_HREDRAW | CS_VREDRAW;
    wc.lpfnWndProc = WindowProc;
    wc.cbClsExtra = 0;
    wc.cbWndExtra = 0;
    wc.hInstance = hInst;
    wc.hIcon = LoadIcon( hInst, IDI_APPLICATION );
    wc.hCursor = LoadCursor( NULL, IDC_ARROW );
    wc.hbrBackground = NULL;
    wc.lpszMenuName = NULL;
    wc.lpszClassName = "FixSyncW";
    RegisterClass( &wc );

    HWND hWnd = CreateWindow("FixSyncW", "FixSyncW", WS_POPUP, 0, 0, 100, 100, 0, 0, hInst, 0);

    ShowWindow(hWnd, SW_HIDE);
    UpdateWindow(hWnd);

    while (1)
    {
        GetMessage(&msg, 0, 0, 0);
        TranslateMessage(&msg);
        DispatchMessage(&msg);
    };
    return 0;
};